
From: Andrew Morton <akpm@osdl.org>

gcc-2.95.x can't do this sort of initialisation

Cc: "David S. Miller" <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 net/ipv4/netfilter/ip_conntrack_netbios_ns.c |   24 ++++++++++++++++++++----
 1 files changed, 20 insertions(+), 4 deletions(-)

diff -puN net/ipv4/netfilter/ip_conntrack_netbios_ns.c~ip_conntrack_netbios_ns-build-fix net/ipv4/netfilter/ip_conntrack_netbios_ns.c
--- devel/net/ipv4/netfilter/ip_conntrack_netbios_ns.c~ip_conntrack_netbios_ns-build-fix	2005-09-07 22:16:18.000000000 -0700
+++ devel-akpm/net/ipv4/netfilter/ip_conntrack_netbios_ns.c	2005-09-07 22:17:38.000000000 -0700
@@ -104,12 +104,28 @@ out:
 static struct ip_conntrack_helper helper = {
 	.name			= "netbios-ns",
 	.tuple = {
-		.src.u.udp.port	= __constant_htons(137),
-		.dst.protonum	= IPPROTO_UDP,
+		.src = {
+			.u = {
+				.udp = {
+					.port	= __constant_htons(137),
+				}
+			}
+		},
+		.dst = {
+			.protonum	= IPPROTO_UDP,
+		},
 	},
 	.mask = {
-		.src.u.udp.port	= 0xFFFF,
-		.dst.protonum	= 0xFF,
+		.src = {
+			.u = {
+				.udp = {
+					.port	= 0xFFFF,
+				}
+			}
+		},
+		.dst = {
+			.protonum	= 0xFF,
+		},
 	},
 	.max_expected		= 1,
 	.me			= THIS_MODULE,
_
